module Ionicon.Android exposing
    ( add
    , addCircle
    , alarmClock
    , alert
    , apps
    , archive
    , arrowBack
    , arrowDown
    , arrowDropdown
    , arrowDropdownCircle
    , arrowDropleft
    , arrowDropleftCircle
    , arrowDropright
    , arrowDroprightCircle
    , arrowDropup
    , arrowDropupCircle
    , arrowForward
    , arrowUp
    , attach
    , bar
    , bicycle
    , boat
    , bookmark
    , bulb
    , bus
    , calendar
    , call
    , camera
    , cancel
    , car
    , cart
    , chat
    , checkbox
    , checkboxBlank
    , checkboxOutline
    , checkboxOutlineBlank
    , checkmarkCircle
    , clipboard
    , close
    , cloud
    , cloudCircle
    , cloudDone
    , cloudOutline
    , colorPalette
    , compass
    , contact
    , contacts
    , contract
    , create
    , delete
    , desktop
    , document
    , done
    , doneAll
    , download
    , drafts
    , exit
    , expand
    , favorite
    , favoriteOutline
    , film
    , folder
    , folderOpen
    , funnel
    , globe
    , hand
    , hangout
    , happy
    , home
    , image
    , laptop
    , list
    , locate
    , lock
    , mail
    , map
    , menu
    , microphone
    , microphoneOff
    , moreHorizontal
    , moreVertical
    , navigate
    , notifications
    , notificationsNone
    , notificationsOff
    , open
    , options
    , people
    , person
    , personAdd
    , phoneLandscape
    , phonePortrait
    , pin
    , plane
    , playstore
    , print
    , radioButtonOff
    , radioButtonOn
    , refresh
    , remove
    , removeCircle
    , restaurant
    , sad
    , search
    , send
    , settings
    , share
    , shareAlt
    , star
    , starHalf
    , starOutline
    , stopwatch
    , subway
    , sunny
    , sync
    , textsms
    , time
    , train
    , unlock
    , upload
    , volumeDown
    , volumeMute
    , volumeOff
    , volumeUp
    , walk
    , warning
    , watch
    , wifi
    )

{-| Android icons


# Icons

@docs add
@docs addCircle
@docs alarmClock
@docs alert
@docs apps
@docs archive
@docs arrowBack
@docs arrowDown
@docs arrowDropdown
@docs arrowDropdownCircle
@docs arrowDropleft
@docs arrowDropleftCircle
@docs arrowDropright
@docs arrowDroprightCircle
@docs arrowDropup
@docs arrowDropupCircle
@docs arrowForward
@docs arrowUp
@docs attach
@docs bar
@docs bicycle
@docs boat
@docs bookmark
@docs bulb
@docs bus
@docs calendar
@docs call
@docs camera
@docs cancel
@docs car
@docs cart
@docs chat
@docs checkbox
@docs checkboxBlank
@docs checkboxOutline
@docs checkboxOutlineBlank
@docs checkmarkCircle
@docs clipboard
@docs close
@docs cloud
@docs cloudCircle
@docs cloudDone
@docs cloudOutline
@docs colorPalette
@docs compass
@docs contact
@docs contacts
@docs contract
@docs create
@docs delete
@docs desktop
@docs document
@docs done
@docs doneAll
@docs download
@docs drafts
@docs exit
@docs expand
@docs favorite
@docs favoriteOutline
@docs film
@docs folder
@docs folderOpen
@docs funnel
@docs globe
@docs hand
@docs hangout
@docs happy
@docs home
@docs image
@docs laptop
@docs list
@docs locate
@docs lock
@docs mail
@docs map
@docs menu
@docs microphone
@docs microphoneOff
@docs moreHorizontal
@docs moreVertical
@docs navigate
@docs notifications
@docs notificationsNone
@docs notificationsOff
@docs open
@docs options
@docs people
@docs person
@docs personAdd
@docs phoneLandscape
@docs phonePortrait
@docs pin
@docs plane
@docs playstore
@docs print
@docs radioButtonOff
@docs radioButtonOn
@docs refresh
@docs remove
@docs removeCircle
@docs restaurant
@docs sad
@docs search
@docs send
@docs settings
@docs share
@docs shareAlt
@docs star
@docs starHalf
@docs starOutline
@docs stopwatch
@docs subway
@docs sunny
@docs sync
@docs textsms
@docs time
@docs train
@docs unlock
@docs upload
@docs volumeDown
@docs volumeMute
@docs volumeOff
@docs volumeUp
@docs walk
@docs warning
@docs watch
@docs wifi

-}

import Html exposing (Html)
import Ionicon.Internal exposing (g, p, p1, pg, pg1, pgs, ps, r, r4)

type alias RGBA =
    { red: Float
    , green : Float
    , blue: Float
    , alpha : Float
    }


{-| -}
addCircle : Int -> RGBA -> Html msg
addCircle =
    p "M256,48C141.125,48,48,141.125,48,256s93.125,208,208,208s208-93.125,208-208S370.875,48,256,48zM363,277h-86v86h-42v-86h-86v-42h86v-86h42v86h86V277z"


{-| -}
add : Int -> RGBA -> Html msg
add =
    p "M416,277.333H277.333V416h-42.666V277.333H96v-42.666h138.667V96h42.666v138.667H416V277.333z"


{-| -}
alarmClock : Int -> RGBA -> Html msg
alarmClock =
    p "M470,124.837l-98.443-81.78l-27.814,32.931l98.442,81.769L470,124.837zM167.192,74.919L139.366,42L42,124.837l27.814,32.919L167.192,74.919zM266.701,172.628h-32.101v127.446l101.649,60.539l16.051-26.553l-85.6-49.917V172.628zM256,87.665c-107,0-192.601,86.021-192.601,191.166C63.399,383.98,149,470,256,470c105.936,0,192.601-86.02,192.601-191.169C448.601,173.687,361.936,87.665,256,87.665zM256,427.52c-82.393,0-149.8-66.906-149.8-148.688c0-81.777,67.407-148.684,149.8-148.684c82.394,0,149.8,66.906,149.8,148.684C405.8,361.671,338.394,427.52,256,427.52z"


{-| -}
alert : Int -> RGBA -> Html msg
alert =
    p "M256,48C141.6,48,48,141.601,48,256s93.6,208,208,208c114.4,0,208-93.601,208-208S370.4,48,256,48zM280,360h-48v-40h48V360zM280,272h-48V144h48V272z"


{-| -}
apps : Int -> RGBA -> Html msg
apps =
    p "M96,176h80V96H96V176zM216,416h80v-80h-80V416zM96,416h80v-80H96V416zM96,296h80v-80H96V296zM216,296h80v-80h-80V296zM336,96v80h80V96H336zM216,176h80V96h-80V176zM336,296h80v-80h-80V296zM336,416h80v-80h-80V416z"


{-| -}
archive : Int -> RGBA -> Html msg
archive =
    p "M453.594,100.001l-32.353-39.299C415.469,52.627,405.083,48,394.664,48H117.335c-10.416,0-20.801,4.627-26.576,12.702l-32.351,39.299C51.468,106.923,48,117.335,48,128.886v288.89C48,443.2,68.8,464,94.225,464h323.553C443.202,464,464,443.2,464,417.775v-288.89C464,117.335,460.537,106.923,453.594,100.001zM256,383.109L128.89,256h80.89v-46.224h92.443V256h80.89L256,383.109zM96.534,94.221l18.486-23.111h277.331l21.965,23.111H96.534z"


{-| -}
arrowBack : Int -> RGBA -> Html msg
arrowBack =
    p "M427,234.625H167.296l119.702-119.702L256,85L85,256l171,171l29.922-29.924L167.296,277.375H427V234.625z"


{-| -}
arrowDown : Int -> RGBA -> Html msg
arrowDown =
    p "M277.375,85v259.704l119.702-119.702L427,256L256,427L85,256l29.924-29.922l119.701,118.626V85H277.375z"


{-| -}
arrowDropdownCircle : Int -> RGBA -> Html msg
arrowDropdownCircle =
    p "M256,48C141.125,48,48,141.125,48,256s93.125,208,208,208s208-93.125,208-208S370.875,48,256,48zM256,320l-96-96h192L256,320z"


{-| -}
arrowDropdown : Int -> RGBA -> Html msg
arrowDropdown =
    pg "128,192 256,320 384,192"


{-| -}
arrowDropleftCircle : Int -> RGBA -> Html msg
arrowDropleftCircle =
    p "M464,256c0-114.875-93.125-208-208-208S48,141.125,48,256s93.125,208,208,208S464,370.875,464,256zM192,256l96-96v192L192,256z"


{-| -}
arrowDropleft : Int -> RGBA -> Html msg
arrowDropleft =
    pg "320,128 192,256 320,384"


{-| -}
arrowDroprightCircle : Int -> RGBA -> Html msg
arrowDroprightCircle =
    p "M256,464c114.875,0,208-93.125,208-208S370.875,48,256,48S48,141.125,48,256S141.125,464,256,464zM224,352V160l96,96L224,352z"


{-| -}
arrowDropright : Int -> RGBA -> Html msg
arrowDropright =
    pg "192,128 320,256 192,384"


{-| -}
arrowDropupCircle : Int -> RGBA -> Html msg
arrowDropupCircle =
    p "M464,256c0-114.875-93.125-208-208-208S48,141.125,48,256s93.125,208,208,208S464,370.875,464,256zM352,288H160l96-96L352,288z"


{-| -}
arrowDropup : Int -> RGBA -> Html msg
arrowDropup =
    pg "128,320 256,192 384,320"


{-| -}
arrowForward : Int -> RGBA -> Html msg
arrowForward =
    p "M85,277.375h259.704L225.002,397.077L256,427l171-171L256,85l-29.922,29.924l118.626,119.701H85V277.375z"


{-| -}
arrowUp : Int -> RGBA -> Html msg
arrowUp =
    p "M277.375,427V167.296l119.702,119.702L427,256L256,85L85,256l29.924,29.922l119.701-118.626V427H277.375z"


{-| -}
attach : Int -> RGBA -> Html msg
attach =
    p "M341.334,128v234.666C341.334,409.604,302.938,448,256,448c-46.937,0-85.333-38.396-85.333-85.334V117.334C170.667,87.469,194.135,64,224,64c29.864,0,53.333,23.469,53.333,53.334v245.333c0,11.729-9.605,21.333-21.334,21.333c-11.729,0-21.333-9.604-21.333-21.333V160h-32v202.667C202.667,392.531,226.135,416,256,416c29.865,0,53.334-23.469,53.334-53.333V117.334C309.334,70.401,270.938,32,224,32c-46.938,0-85.334,38.401-85.334,85.334v245.332C138.667,427.729,190.938,480,256,480c65.062,0,117.334-52.271,117.334-117.334V128H341.334z"


{-| -}
bar : Int -> RGBA -> Html msg
bar =
    ps
        [ "M234.667,277.333V408H128v40h256v-40H277.333V277.333L448,106.667V64H64v42.667L234.667,277.333zM160,149.333l-42.667-42.666h277.334L352,149.333H160z"
        , "M341.231,408.007c-52.253,36.267-118.356,36.258-170.608-0.009c0,0-57.638,64.002-106.632,64.002h21.327c29.854,0,58.646-11.726,85.305-25.594c53.315,27.734,117.293,27.728,170.608-0.007C367.89,460.268,396.681,472,426.535,472h21.328C400.212,472,341.231,408.007,341.231,408.007z"
        ]


{-| -}
bicycle : Int -> RGBA -> Html msg
bicycle =
    p "M330.666,131.202c18.668,0,33.598-14.935,33.598-33.601S349.334,64,330.666,64C312,64,297.07,78.935,297.07,97.601S312,131.202,330.666,131.202zM386.666,261.334c-51.332,0-93.332,42-93.332,93.333s42,93.333,93.332,93.333C438,448,480,406,480,354.667S438,261.334,386.666,261.334zM386.666,420c-36.402,0-65.332-28.93-65.332-65.333s28.93-65.333,65.332-65.333c36.404,0,65.334,28.93,65.334,65.333S423.07,420,386.666,420zM305.597,224H384v-32h-58.845l-34.62-60.134c-5.605-9.333-15.869-15.864-27.07-15.864c-8.399,0-16.798,3.732-22.399,9.333l-71.732,69.065c-5.601,5.601-9.333,14-9.333,22.399c0,12.131,9.202,21.465,18.535,27.065L240,282.134V368h32V256l-39.333-32l42.929-44.533L305.597,224zM125.333,261.334C74,261.334,32,303.334,32,354.667S74,448,125.333,448c51.333,0,93.333-42,93.333-93.333S176.667,261.334,125.333,261.334zM125.333,420C88.934,420,60,391.07,60,354.667s28.934-65.333,65.333-65.333c36.399,0,65.333,28.93,65.333,65.333S161.732,420,125.333,420z"


{-| -}
boat : Int -> RGBA -> Html msg
boat =
    p "M84.255,413h1.063c34.123,0,63.977-19.021,85.305-42.494c21.325,23.473,51.18,42.762,85.304,42.762s63.979-19.334,85.305-42.806C362.559,393.934,392.412,413,426.535,413h1.062l51.253-138.78c2.126-5.329,1.063-11.641-1.07-16.976c-2.136-5.333-7.237-8.487-12.567-10.623L427,234.133v-98.15C427,112.51,407.344,93,383.884,93h-63.979l-15.993-53h-95.969l-15.995,53h-63.979C104.511,93,85,112.51,85,135.982v98.15l-38.074,12.533c-5.33,2.136-10.582,5.334-12.718,10.667c-2.135,5.335-3.158,10.49-1.031,16.887L84.255,413zM128,136h256v84.261l-128-41.605l-128,41.605V136z"


{-| -}
bookmark : Int -> RGBA -> Html msg
bookmark =
    p "M360,64H152c-22.002,0-40,17.998-40,40v344l144-64l144,64V104C400,81.998,382.002,64,360,64z"


{-| -}
bulb : Int -> RGBA -> Html msg
bulb =
    p "M256,170.136c25.499,0,49.567,10.025,67.771,28.229C341.975,216.568,352,240.637,352,266.136c0,17.621-4.422,34.031-13.144,48.773c-8.339,14.098-20.437,26.036-34.985,34.526L288,358.697v18.376V448h-64v-70.927v-18.376l-15.871-9.262C178.442,332.111,160,300.192,160,266.136c0-25.499,10.025-49.567,28.229-67.771C206.433,180.161,230.501,170.136,256,170.136M277.333,32c-6.396,0-42.666,0-42.666,0v64h42.666V32L277.333,32zM406.396,85.864L368,124.271l29.864,29.865l38.406-38.396L406.396,85.864L406.396,85.864zM105.604,85.864l-29.875,29.875l38.406,38.396L144,124.271L105.604,85.864L105.604,85.864zM256,138.136c-70.396,0-128,57.604-128,128c0,46.938,25.604,88.531,64,110.938V480h128V377.073c38.396-22.406,64-62.938,64-110.938C384,195.739,326.396,138.136,256,138.136L256,138.136zM480,244.802h-64v42.667h64V244.802L480,244.802zM96,244.802H32v42.667h64V244.802L96,244.802z"


{-| -}
bus : Int -> RGBA -> Html msg
bus =
    p "M80,352c0,19.198,13.864,24.531,26.667,36.271v38.396c0,11.729,9.599,21.334,21.333,21.334h21.333c11.734,0,21.334-9.604,21.334-21.334v-21.333h170.666v21.333c0,11.729,9.604,21.334,21.334,21.334H384c11.729,0,21.333-9.604,21.333-21.334v-38.396C418.136,376.531,432,370.136,432,352V148.334C432,73.667,349.864,64,256,64S80,73.667,80,148.334V352zM160,367.989c-18.136,0-32-13.864-32-32c0-18.135,13.864-32,32-32s32,13.865,32,32C192,354.125,178.136,367.989,160,367.989zM352,367.989c-18.136,0-32-13.864-32-32c0-18.135,13.864-32,32-32s32,13.865,32,32C384,354.125,370.136,367.989,352,367.989zM384,245.333H128V138.667h256V245.333z"


{-| -}
calendar : Int -> RGBA -> Html msg
calendar =
    p "M368.005,272h-96v96h96V272zM336.005,64v32h-160V64h-48v32h-24.01c-22.002,0-40,17.998-40,40v272c0,22.002,17.998,40,40,40h304.01c22.002,0,40-17.998,40-40V136c0-22.002-17.998-40-40-40h-24V64H336.005zM408.005,408h-304.01V196h304.01V408z"


{-| -}
call : Int -> RGBA -> Html msg
call =
    p "M426.666,330.667c-26.666,0-52.271-4.271-75.729-11.729c-7.469-2.136-16-1.073-21.332,5.333l-46.939,46.928c-60.802-30.928-109.864-80-140.802-140.803l46.939-46.927c5.332-5.333,7.462-13.864,5.332-21.333c-8.537-24.531-12.802-50.136-12.802-76.803C181.333,73.604,171.734,64,160,64H85.333C73.599,64,64,73.604,64,85.333C64,285.864,226.136,448,426.666,448c11.73,0,21.334-9.604,21.334-21.333V352C448,340.271,438.396,330.667,426.666,330.667z"


{-| -}
camera : Int -> RGBA -> Html msg
camera =
    p "M440,96h-88l-32-32H192l-32,32H72c-22.092,0-40,17.908-40,40v272c0,22.092,17.908,40,40,40h368c22.092,0,40-17.908,40-40V136C480,113.908,462.092,96,440,96zM256,392c-61.855,0-112-50.145-112-112s50.145-112,112-112s112,50.145,112,112S317.855,392,256,392z"


{-| -}
cancel : Int -> RGBA -> Html msg
cancel =
    p "M256,48C140.559,48,48,140.559,48,256c0,115.436,92.559,208,208,208c115.435,0,208-92.564,208-208C464,140.559,371.436,48,256,48zM360.002,330.881l-29.12,29.117L256,285.117l-74.881,74.881l-29.121-29.117L226.881,256l-74.883-74.881l29.121-29.116L256,226.881l74.881-74.878l29.12,29.116L285.119,256L360.002,330.881z"


{-| -}
car : Int -> RGBA -> Html msg
car =
    p "M403.208,117.333c-4.271-12.802-16-21.333-29.875-21.333H138.667c-13.875,0-25.604,8.531-29.875,21.333L64,234.667v160C64,406.396,73.604,416,85.333,416h21.334c11.729,0,21.333-9.604,21.333-21.333V384h256v10.667c0,11.729,9.604,21.333,21.333,21.333h21.334c11.729,0,21.333-9.604,21.333-21.333v-160L403.208,117.333zM138.667,320c-18.125,0-32-13.865-32-32s13.875-32,32-32s32,13.866,32,32S156.792,320,138.667,320zM373.333,320c-18.125,0-32-13.865-32-32s13.875-32,32-32s32,13.866,32,32S391.458,320,373.333,320zM106.667,213.333l32-85.333h234.666l32,85.333H106.667z"


{-| -}
cart : Int -> RGBA -> Html msg
cart =
    p "M169.6,377.6c-22.882,0-41.6,18.718-41.6,41.601c0,22.882,18.718,41.6,41.6,41.6s41.601-18.718,41.601-41.6 C211.2,396.317,192.481,377.6,169.6,377.6z M48,51.2v41.6h41.6l74.883,151.682l-31.308,50.954c-3.118,5.2-5.2,12.482-5.2,19.765 c0,27.85,19.025,41.6,44.825,41.6H416v-40H177.893c-3.118,0-5.2-2.082-5.2-5.2c0-1.036,2.207-5.2,2.207-5.2l20.782-32.8h154.954 c15.601,0,29.128-8.317,36.4-21.836l74.882-128.8c1.237-2.461,2.082-6.246,2.082-10.399c0-11.446-9.364-19.765-20.8-19.765H135.364 L115.6,51.2H48z M374.399,377.6c-22.882,0-41.6,18.718-41.6,41.601c0,22.882,18.718,41.6,41.6,41.6S416,442.082,416,419.2 C416,396.317,397.281,377.6,374.399,377.6z"


{-| -}
chat : Int -> RGBA -> Html msg
chat =
    p "M391.553,64H57.607C53.131,64,48,67.745,48,72.159v214.217c0,4.413,5.131,8.624,9.607,8.624H115v88.894L205.128,295h186.425c4.477,0,7.447-4.211,7.447-8.624V72.159C399,67.745,396.029,64,391.553,64z"


{-| -}
checkboxBlank : Int -> RGBA -> Html msg
checkboxBlank =
    p "M405.333,64H106.667C83.198,64,64,83.198,64,106.667v298.666C64,428.802,83.198,448,106.667,448h298.666C428.802,448,448,428.802,448,405.333V106.667C448,83.198,428.802,64,405.333,64z"


{-| -}
checkboxOutlineBlank : Int -> RGBA -> Html msg
checkboxOutlineBlank =
    p "M405.333,106.667v298.666H106.667V106.667H405.333M405.333,64H106.667C83.198,64,64,83.198,64,106.667v298.666C64,428.802,83.198,448,106.667,448h298.666C428.802,448,448,428.802,448,405.333V106.667C448,83.198,428.802,64,405.333,64L405.333,64z"


{-| -}
checkboxOutline : Int -> RGBA -> Html msg
checkboxOutline =
    p "M168.531,215.469l-29.864,29.864l96,96L448,128l-29.864-29.864L234.667,280.531L168.531,215.469zM405.333,405.333H106.667V106.667H320V64H106.667C83.198,64,64,83.198,64,106.667v298.666C64,428.802,83.198,448,106.667,448h298.666C428.802,448,448,428.802,448,405.333V234.667h-42.667V405.333z"


{-| -}
checkbox : Int -> RGBA -> Html msg
checkbox =
    p "M405.333,64H106.667C83.198,64,64,83.198,64,106.667v298.666C64,428.802,83.198,448,106.667,448h298.666C428.802,448,448,428.802,448,405.333V106.667C448,83.198,428.802,64,405.333,64zM213.333,362.667L106.667,256l29.864-29.864l76.802,76.802l162.136-162.136l29.864,29.865L213.333,362.667z"


{-| -}
checkmarkCircle : Int -> RGBA -> Html msg
checkmarkCircle =
    p "M170.718,216.482L141.6,245.6L235.2,339.2l208-208l-29.118-29.118L235.2,279.918L170.718,216.482zM422.4,256c0,91.518-74.883,166.4-166.4,166.4S89.6,347.518,89.6,256S164.482,89.6,256,89.6c15.6,0,31.2,2.082,45.764,6.241L334,63.6C310.082,53.2,284.082,48,256,48C141.6,48,48,141.6,48,256s93.6,208,208,208s208-93.6,208-208H422.4z"


{-| -}
clipboard : Int -> RGBA -> Html msg
clipboard =
    p "M405.333,80h-87.35C310.879,52.396,285.821,32,256,32s-54.879,20.396-61.983,48h-87.35C83.198,80,64,99.198,64,122.667v314.665C64,460.801,83.198,480,106.667,480h298.666C428.802,480,448,460.801,448,437.332V122.667C448,99.198,428.802,80,405.333,80zM256,80c11.729,0,21.333,9.599,21.333,21.333s-9.604,21.334-21.333,21.334s-21.333-9.6-21.333-21.334S244.271,80,256,80zM408,440H104V120h40v72h224v-72h40V440z"


{-| -}
close : Int -> RGBA -> Html msg
close =
    pg "405,136.798 375.202,107 256,226.202 136.798,107 107,136.798 226.202,256 107,375.202 136.798,405 256,285.798 375.202,405 405,375.202 285.798,256"


{-| -}
cloudCircle : Int -> RGBA -> Html msg
cloudCircle =
    p "M256,48C141.6,48,48,141.6,48,256s93.6,208,208,208c114.4,0,208-93.6,208-208S370.4,48,256,48zM349.6,339.2c0,0-175.759,0-176.799,0c-34.318,0-62.4-28.082-62.4-62.399c0-34.319,28.082-62.4,62.4-62.4c1.041,0,2.082,0,3.117,0c9.364-36.4,41.601-62.399,80.083-62.399c45.764,0,83.199,37.435,83.199,83.198h10.4c29.118,0,52,22.882,52,52.001C401.6,316.318,378.718,339.2,349.6,339.2z"


{-| -}
cloudDone : Int -> RGBA -> Html msg
cloudDone =
    p "M403.002,217.001C388.998,148.002,328.998,96,256,96c-57.998,0-107.998,32.998-132.998,81.001C63.002,183.002,16,233.998,16,296c0,65.996,53.999,120,120,120h260c55,0,100-45,100-100C496,263.002,455.004,219.999,403.002,217.001zM213.333,362.667L138.667,288l29.864-29.864l44.802,44.802L324.271,192l29.865,29.864L213.333,362.667z"


{-| -}
cloudOutline : Int -> RGBA -> Html msg
cloudOutline =
    p "M403.001,217.001C388.997,148.002,328.998,96,256,96c-57.998,0-107.999,32.998-132.997,81C63.002,183.002,16,233.998,16,296c0,65.996,54.004,120,120,120h260c55,0,100-45,100-100.001C496,263.002,455.003,220,403.001,217.001zM396,376H136c-44.004,0-80-35.996-80-80c0-44,35.996-80,80-80h14.004c12.998-46,55-80,105.996-80c60.996,0,110,49,110,110v10h30c32.998,0,60,27.003,60,60C456,348.998,428.998,376,396,376z"


{-| -}
cloud : Int -> RGBA -> Html msg
cloud =
    p "M403.002,217.001C388.998,148.002,328.998,96,256,96c-57.998,0-107.998,32.998-132.998,81.001C63.002,183.002,16,233.998,16,296c0,65.996,53.999,120,120,120h260c55,0,100-45,100-100C496,263.002,455.004,219.999,403.002,217.001z"


{-| -}
colorPalette : Int -> RGBA -> Html msg
colorPalette =
    p "M256,64C150.401,64,64,150.401,64,256c0,105.604,86.401,192,192,192c18.136,0,32-13.864,32-32c0-8.531-3.198-16-8.531-21.333c-5.333-5.334-8.531-12.803-8.531-21.334c0-18.135,13.864-32,32-32h38.396c58.667,0,106.667-48,106.667-106.666C448,140.802,361.604,64,256,64zM138.667,256c-18.136,0-32-13.864-32-32s13.864-32,32-32c18.135,0,32,13.864,32,32S156.802,256,138.667,256zM202.667,170.667c-18.136,0-32-13.865-32-32c0-18.136,13.864-32,32-32c18.135,0,32,13.864,32,32C234.667,156.802,220.802,170.667,202.667,170.667zM309.333,170.667c-18.135,0-32-13.865-32-32c0-18.136,13.865-32,32-32c18.136,0,32,13.864,32,32C341.333,156.802,327.469,170.667,309.333,170.667zM373.333,256c-18.135,0-32-13.864-32-32s13.865-32,32-32c18.136,0,32,13.864,32,32S391.469,256,373.333,256z"


{-| -}
compass : Int -> RGBA -> Html msg
compass =
    p "M256,231.358c-13.442,0-24.643,11.2-24.643,24.642s11.2,24.643,24.643,24.643s24.643-11.2,24.643-24.643S269.442,231.358,256,231.358zM256,32C132.8,32,32,132.8,32,256s100.8,224,224,224s224-100.8,224-224S379.2,32,256,32zM305.284,305.284L121.6,390.4l85.116-183.679L390.4,121.6L305.284,305.284z"


{-| -}
contact : Int -> RGBA -> Html msg
contact =
    ps
        [ "M331.08,338.205c-22.156,12.594-47.777,19.783-75.084,19.783c-27.302,0-52.919-7.182-75.073-19.771C122.153,356.152,77.262,396,64,448h384C434.745,396,389.854,356.131,331.08,338.205z"
        , "M255.996,64c-72.871,0-131.945,59.127-131.945,132.013c0,72.887,59.074,131.972,131.945,131.972 s131.945-59.085,131.945-131.972C387.941,123.127,328.867,64,255.996,64z M255.996,294.986c-41.958,0-77.813-25.986-92.209-62.986 h184.418C333.809,269,297.953,294.986,255.996,294.986z"
        ]


{-| -}
contacts : Int -> RGBA -> Html msg
contacts =
    ps
        [ "M239.208,343.937c-17.78,10.103-38.342,15.876-60.255,15.876c-21.909,0-42.467-5.771-60.246-15.87 C71.544,358.331,42.643,406,32,448h293.912C315.273,406,286.375,358.317,239.208,343.937z"
        , "M178.953,120.035c-58.479,0-105.886,47.394-105.886,105.858c0,58.464,47.407,105.857,105.886,105.857 c58.479,0,105.886-47.394,105.886-105.857C284.839,167.429,237.431,120.035,178.953,120.035z M178.953,306.523 c-33.671,0-62.445-22.513-73.997-50.523H252.95C241.396,284.011,212.624,306.523,178.953,306.523z"
        , "M322.602,384H480c-10.638-42-39.537-81.691-86.703-96.072c-17.781,10.104-38.343,15.873-60.256,15.873 c-14.823,0-29.024-2.654-42.168-7.49c-7.445,12.47-16.927,25.592-27.974,34.906C289.245,341.354,309.146,364,322.602,384z"
        , "M306.545,200h100.493c-11.554,28-40.327,50.293-73.997,50.293c-8.875,0-17.404-1.692-25.375-4.51 c-1.338,8.709-3.543,17.07-6.52,25.118c10.066,3.174,20.779,4.862,31.895,4.862c58.479,0,105.886-47.41,105.886-105.872 c0-58.465-47.407-105.866-105.886-105.866c-37.49,0-70.427,19.703-89.243,49.09C275.607,131.383,298.961,163,306.545,200z"
        ]


{-| -}
contract : Int -> RGBA -> Html msg
contract =
    p "M64,371.2h76.795V448H192V320H64V371.2zM140.795,140.8H64V192h128V64h-51.205V140.8zM320,448h51.2v-76.8H448V320H320V448zM371.2,140.8V64H320v128h128v-51.2H371.2z"


{-| -}
create : Int -> RGBA -> Html msg
create =
    p "M64,368v80h80l235.727-235.729l-79.999-79.998L64,368z M441.602,150.398 c8.531-8.531,8.531-21.334,0-29.865l-50.135-50.135c-8.531-8.531-21.334-8.531-29.865,0l-39.468,39.469l79.999,79.998 L441.602,150.398z"


{-| -}
delete : Int -> RGBA -> Html msg
delete =
    p "M128,405.429C128,428.846,147.198,448,170.667,448h170.667C364.802,448,384,428.846,384,405.429V160H128V405.429zM416,96h-80l-26.785-32H202.786L176,96H96v32h320V96z"


{-| -}
desktop : Int -> RGBA -> Html msg
desktop =
    p "M437.333,32H74.667C51.198,32,32,51.197,32,74.666v282.667C32,380.802,51.198,400,74.667,400h138.666l-42.666,48v32h170.666v-32l-42.666-48h138.666C460.802,400,480,380.802,480,357.333V74.666C480,51.197,460.802,32,437.333,32zM437.333,320H74.667V74.666h362.666V320z"


{-| -}
document : Int -> RGBA -> Html msg
document =
    p "M288,48H136c-22.092,0-40,17.908-40,40v336c0,22.092,17.908,40,40,40h240c22.092,0,40-17.908,40-40V176L288,48zM272,192V80l112,112H272z"


{-| -}
doneAll : Int -> RGBA -> Html msg
doneAll =
    p "M387.581,139.712L356.755,109L216.913,248.319l30.831,30.719L387.581,139.712zM481.172,109L247.744,340.469l-91.39-91.051l-30.827,30.715L247.744,403L512,139.712L481.172,109zM0,280.133L123.321,403l30.829-30.713L31.934,249.418L0,280.133z"


{-| -}
done : Int -> RGBA -> Html msg
done =
    pg "186.301,339.893 96,249.461 64,279.968 186.301,402 448,140.506 416,110"


{-| -}
download : Int -> RGBA -> Html msg
download =
    p "M403.002,217.001C388.998,148.002,328.998,96,256,96c-57.998,0-107.998,32.998-132.998,81.001C63.002,183.002,16,233.998,16,296c0,65.996,53.999,120,120,120h260c55,0,100-45,100-100C496,263.002,455.004,219.999,403.002,217.001zM224,268v-76h64v76h68L256,368L156,268H224z"


{-| -}
drafts : Int -> RGBA -> Html msg
drafts =
    p "M480,201.667c0-14.933-7.469-28.803-20.271-36.266L256,64L52.271,165.401C40.531,172.864,32,186.734,32,201.667v203.666C32,428.802,51.197,448,74.666,448h362.668C460.803,448,480,428.802,480,405.333V201.667zM256,304L84.631,192L256,106.667L427.369,192L256,304z"


{-| -}
exit : Int -> RGBA -> Html msg
exit =
    p "M215.469,332.802l29.863,29.864L352,256L245.332,149.333l-29.863,29.865l55.469,55.469H64v42.666h205.864L215.469,332.802zM405.334,64H106.666C83.198,64,64,83.198,64,106.666V192h42.666v-85.333h298.668v298.668H106.666V320H64v85.334C64,428.802,83.198,448,106.666,448h298.668C428.802,448,448,428.802,448,405.334V106.666C448,83.198,428.802,64,405.334,64z"


{-| -}
expand : Int -> RGBA -> Html msg
expand =
    pgs
        [ "396.795,396.8 320,396.8 320,448 448,448 448,320 396.795,320"
        , "396.8,115.205 396.8,192 448,192 448,64 320,64 320,115.205"
        , "115.205,115.2 192,115.2 192,64 64,64 64,192 115.205,192"
        , "115.2,396.795 115.2,320 64,320 64,448 192,448 192,396.795"
        ]


{-| -}
favoriteOutline : Int -> RGBA -> Html msg
favoriteOutline =
    p "M349.6,64c-36.4,0-70.718,16.742-93.6,43.947C233.117,80.742,198.8,64,162.4,64C97.918,64,48,114.221,48,179.095c0,79.516,70.718,143.348,177.836,241.694L256,448l30.164-27.211C393.281,322.442,464,258.61,464,179.095C464,114.221,414.082,64,349.6,64zM268.836,393.257l-4.219,3.873L256,404.903l-8.616-7.772l-4.214-3.869c-50.418-46.282-93.961-86.254-122.746-121.994C92.467,236.555,80,208.128,80,179.095c0-22.865,8.422-43.931,23.715-59.316C118.957,104.445,139.798,96,162.4,96c26.134,0,51.97,12.167,69.11,32.545L256,157.661l24.489-29.116C297.63,108.167,323.465,96,349.6,96c22.603,0,43.443,8.445,58.686,23.778C423.578,135.164,432,156.229,432,179.095c0,29.033-12.467,57.459-40.422,92.171C362.794,307.006,319.253,346.975,268.836,393.257z"


{-| -}
favorite : Int -> RGBA -> Html msg
favorite =
    p "M256,448l-30.164-27.211C118.718,322.442,48,258.61,48,179.095C48,114.221,97.918,64,162.4,64c36.399,0,70.717,16.742,93.6,43.947C278.882,80.742,313.199,64,349.6,64C414.082,64,464,114.221,464,179.095c0,79.516-70.719,143.348-177.836,241.694L256,448z"


{-| -}
film : Int -> RGBA -> Html msg
film =
    p "M376,64v42.667h-40V64H176v42.667h-40V64H96v384h40v-42.666h40V448h160v-42.666h40V448h40V64H376z M176,362.667h-40V320h40V362.667z M176,277.334h-40v-42.667h40V277.334z M176,192h-40v-42.666h40V192z M376,362.667h-40V320h40 V362.667z M376,277.334h-40v-42.667h40V277.334z M376,192h-40v-42.666h40V192z"


{-| -}
folderOpen : Int -> RGBA -> Html msg
folderOpen =
    p "M437.334,144H256.006l-42.668-48H74.666C51.197,96,32,115.198,32,138.667v234.666C32,396.802,51.197,416,74.666,416h362.668C460.803,416,480,396.802,480,373.333V186.667C480,163.198,460.803,144,437.334,144zM448,373.333c0,5.782-4.885,10.667-10.666,10.667H74.666C68.884,384,64,379.115,64,373.333V176h373.334c5.781,0,10.666,4.885,10.666,10.667V373.333z"


{-| -}
folder : Int -> RGBA -> Html msg
folder =
    p "M213.338,96H74.666C51.197,96,32,115.198,32,138.667v234.666C32,396.802,51.197,416,74.666,416h362.668C460.803,416,480,396.802,480,373.333V186.667C480,163.198,460.803,144,437.334,144H256.006L213.338,96z"


{-| -}
funnel : Int -> RGBA -> Html msg
funnel =
    p "M208,400h96v-47.994h-96V400zM32,112v47.994h448V112H32zM112,280.783h288v-49.555H112V280.783z"


{-| -}
globe : Int -> RGBA -> Html msg
globe =
    p "M256,48C141.124,48,48,141.125,48,256c0,114.875,93.124,208,208,208c114.875,0,208-93.125,208-208C464,141.125,370.875,48,256,48zM234.451,432.999c-39.464-4.726-75.978-22.392-104.519-50.932C96.258,348.393,77.714,303.622,77.714,256c0-42.87,15.036-83.424,42.601-115.659c0.71,8.517,2.463,17.648,2.014,24.175c-1.64,23.795-3.988,38.687,9.94,58.762c5.426,7.819,6.759,19.028,9.4,28.078c2.583,8.854,12.902,13.498,20.019,18.953c14.359,11.009,28.096,23.805,43.322,33.494c10.049,6.395,16.326,9.576,13.383,21.839c-2.367,9.862-3.028,15.937-8.13,24.723c-1.557,2.681,5.877,19.918,8.351,22.392c7.498,7.497,14.938,14.375,23.111,21.125C254.396,404.351,240.494,417.954,234.451,432.999zM382.067,382.067c-25.633,25.633-57.699,42.486-92.556,49.081c4.94-12.216,13.736-23.07,21.895-29.362c7.097-5.476,15.986-16.009,19.693-24.352c3.704-8.332,8.611-15.555,13.577-23.217c7.065-10.899-17.419-27.336-25.353-30.781c-17.854-7.751-31.294-18.21-47.161-29.375c-11.305-7.954-34.257,4.154-47.02-1.417c-17.481-7.633-31.883-20.896-47.078-32.339c-15.68-11.809-14.922-25.576-14.922-42.997c12.282,0.453,29.754-3.399,37.908,6.478c2.573,3.117,11.42,17.042,17.342,12.094c4.838-4.043-3.585-20.249-5.212-24.059c-5.005-11.715,11.404-16.284,19.803-24.228c10.96-10.364,34.47-26.618,32.612-34.047s-23.524-28.477-36.249-25.193c-1.907,0.492-18.697,18.097-21.941,20.859c0.086-5.746,0.172-11.491,0.26-17.237c0.055-3.628-6.768-7.352-6.451-9.692c0.8-5.914,17.262-16.647,21.357-21.357c-2.869-1.793-12.659-10.202-15.622-8.968c-7.174,2.99-15.276,5.05-22.45,8.039c0-2.488-0.302-4.825-0.662-7.133c14.376-6.365,29.587-10.791,45.31-13.152l14.084,5.66l9.944,11.801l9.924,10.233l8.675,2.795l13.779-12.995L282,87.929v-8.339c27.25,3.958,52.984,14.124,75.522,29.8c-4.032,0.361-8.463,0.954-13.462,1.59c-2.065-1.22-4.714-1.774-6.965-2.623c6.531,14.042,13.343,27.89,20.264,41.746c7.393,14.801,23.793,30.677,26.673,46.301c3.394,18.416,1.039,35.144,2.896,56.811c1.788,20.865,23.524,44.572,23.524,44.572s10.037,3.419,18.384,2.228C421.055,330.798,405.103,359.029,382.067,382.067z"


{-| -}
hand : Int -> RGBA -> Html msg
hand =
    p "M450.679,273.5c-14.585-14.577-36.054-15.89-50.639-1.312l-41.687,41.664c-10.852,10.836-23.93,10.859-31.564,1.852c-5.057-5.968-3.061-24.374-1.644-36.049l20.907-171.849c1.867-15.353-9.07-30.185-24.43-32.051c-15.358-1.867-29.322,9.939-31.191,25.289L267.37,236.021c-1.205,3.358-3.79,3.938-4.081-0.582L255.44,60c0-15.465-12.542-28-28.014-28c-15.473,0-28.015,12.535-28.015,28l-0.552,176.752c0.146,2.04-1.604,2.624-1.92,0.294L172.016,99.077c-2.75-15.219-17.323-26.203-32.548-23.453c-15.227,2.748-25.339,18.187-22.591,33.403l22.193,161.455c0.023,2.872-0.941,4.513-2.308,0.831l-33.109-88.517c-5.18-14.572-21.196-23.065-35.776-17.889c-14.579,5.177-22.201,22.061-17.023,36.631l58.042,189.625c0.303,1.046,0.624,2.085,0.953,3.118l0.121,0.39c0.011,0.031,0.025,0.058,0.035,0.088C126.079,444.233,172.57,480,227.427,480c35.116,0,71.591-12.378,99.357-33.672c0.001,0,0.003-0.002,0.003-0.002c29.99-18.051,126.071-121.347,126.071-121.347C467.445,310.402,465.266,288.08,450.679,273.5z"


{-| -}
hangout : Int -> RGBA -> Html msg
hangout =
    p "M256,48c-97.321,0-176,77.114-176,172.487c0,95.38,78.679,172.487,176,172.487V464c100.425-47.689,176-152.195,176-243.513C432,125.114,353.321,48,256,48zM246,230.633L224.943,271H193.88l20.712-40H184v-61h62V230.633zM328,230.633L307.768,271h-31.063l20.704-40H266v-61h62V230.633z"


{-| -}
happy : Int -> RGBA -> Html msg
happy =
    p "M256,48C140.563,48,48,141.6,48,256c0,114.4,92.563,208,208,208s208-93.6,208-208C464,141.6,370.401,48,256,48zM256,422.4c-91.518,0-166.404-74.883-166.404-166.4c0-91.518,74.887-166.4,166.404-166.4S422.404,164.482,422.404,256C422.404,347.518,347.518,422.4,256,422.4zM328.8,235.2c17.683,0,31.201-13.518,31.201-31.2s-13.519-31.2-31.201-31.2c-17.682,0-31.2,13.518-31.2,31.2S311.118,235.2,328.8,235.2zM183.2,235.2c17.682,0,31.2-13.518,31.2-31.2s-13.519-31.2-31.2-31.2c-17.683,0-31.201,13.518-31.201,31.2S165.518,235.2,183.2,235.2zM256,370.4c48.883,0,89.436-30.164,106.081-72.801H149.919C166.564,340.236,207.117,370.4,256,370.4z"


{-| -}
home : Int -> RGBA -> Html msg
home =
    pg "208,448 208,320 304,320 304,448 401.6,448 401.6,256 464,256 256,64 48,256 110.4,256 110.4,448"


{-| -}
image : Int -> RGBA -> Html msg
image =
    p "M448,405.333V106.667C448,83.198,428.802,64,405.333,64H106.667C83.198,64,64,83.198,64,106.667v298.666C64,428.802,83.198,448,106.667,448h298.666C428.802,448,448,428.802,448,405.333zM181.333,288l53.334,64l74.666-96l96,128H106.667L181.333,288z"


{-| -}
laptop : Int -> RGBA -> Html msg
laptop =
    p "M437.334,416C460.803,416,480,396.803,480,373.334V106.668C480,83.199,460.803,64,437.334,64H74.666C51.197,64,32,83.199,32,106.668v266.666C32,396.803,51.197,416,74.666,416H0c0,23.469,64,32,96,32h320c32,0,96-8.531,96-32H437.334zM74.666,106.668h362.668v271.998H74.666V106.668zM256,434.666c-11.729,0-21.333-9.604-21.333-21.334c0-11.729,9.604-21.332,21.333-21.332s21.333,9.604,21.333,21.332C277.333,425.062,267.729,434.666,256,434.666z"


{-| -}
list : Int -> RGBA -> Html msg
list =
    p "M408,64H104c-22.091,0-40,17.908-40,40v304c0,22.092,17.909,40,40,40h304c22.092,0,40-17.908,40-40V104C448,81.908,430.092,64,408,64zM304,368H144v-48h160V368zM368,280H144v-48h224V280zM368,192H144v-48h224V192z"


{-| -}
locate : Int -> RGBA -> Html msg
locate =
    p "M256,176c-44.004,0-80.001,36-80.001,80c0,44.004,35.997,80,80.001,80c44.005,0,79.999-35.996,79.999-80C335.999,212,300.005,176,256,176zM446.938,234.667c-9.605-88.531-81.074-160-169.605-169.599V32h-42.666v33.067c-88.531,9.599-160,81.068-169.604,169.599H32v42.667h33.062c9.604,88.531,81.072,160,169.604,169.604V480h42.666v-33.062c88.531-9.604,160-81.073,169.605-169.604H480v-42.667H446.938zM256,405.333c-82.137,0-149.334-67.198-149.334-149.333c0-82.136,67.197-149.333,149.334-149.333c82.135,0,149.332,67.198,149.332,149.333C405.332,338.135,338.135,405.333,256,405.333z"


{-| -}
lock : Int -> RGBA -> Html msg
lock =
    p "M376,186h-20v-40c0-55-45-100-100-100S156,91,156,146v40h-20c-22.002,0-40,17.998-40,40v200c0,22.002,17.998,40,40,40h240c22.002,0,40-17.998,40-40V226C416,203.998,398.002,186,376,186zM256,368c-22.002,0-40-17.998-40-40s17.998-40,40-40s40,17.998,40,40S278.002,368,256,368zM318.002,186H193.998v-40c0-34.004,28.003-62.002,62.002-62.002c34.004,0,62.002,27.998,62.002,62.002V186z"


{-| -}
mail : Int -> RGBA -> Html msg
mail =
    p "M437.332,80H74.668C51.199,80,32,99.198,32,122.667v266.666C32,412.802,51.199,432,74.668,432h362.664C460.801,432,480,412.802,480,389.333V122.667C480,99.198,460.801,80,437.332,80zM432,170.667L256,288L80,170.667V128l176,117.333L432,128V170.667z"


{-| -}
map : Int -> RGBA -> Html msg
map =
    p "M437.333,64c-2.176,0-4.396,1.369-9.176,3.207S320,108.802,320,108.802L192,64L71.469,104.531C67.197,105.604,64,109.864,64,115.197v322.136C64,443.729,68.271,448,74.666,448c1.828,0,6.505-2.33,9.087-3.319S192,403.197,192,403.197L320,448l120.531-40.531c4.271-1.073,7.469-5.334,7.469-10.667V74.666C448,68.271,443.729,64,437.333,64zM320,405.333l-128-44.802V106.666l128,44.803V405.333z"


{-| -}
menu : Int -> RGBA -> Html msg
menu =
    p "M64,384h384v-42.666H64V384zM64,277.334h384v-42.667H64V277.334zM64,128v42.665h384V128H64z"


{-| -}
microphoneOff : Int -> RGBA -> Html msg
microphoneOff =
    p "M367.951,354.654l-26.616-26.562l-9.568-9.548l-4.698-4.706L187,174.041v0.346L76.112,63.531L51.921,87.572L187,222.47v28.816c0,37.79,31.121,68.714,68.91,68.714c8.61,0,16.952-1.62,24.565-4.545l32.389,32.274c-17.333,8.793-36.812,13.86-56.782,13.86c-62.986,0-121.365-48.59-121.365-116.59H95.773C95.773,322,158,387.701,233,398.013V480h46v-81.987c22-3.352,43.066-11.222,61.627-22.622l95.278,95.078l24.033-24l-33.847-33.785l-58.216-57.959l58.224,57.959L367.951,354.654z"


{-| -}
microphone : Int -> RGBA -> Html msg
microphone =
    p "M256,320c37.712,0,68.571-30.924,68.571-68.714V100.714C324.571,62.924,293.712,32,256,32s-68.571,30.924-68.571,68.714v150.572C187.429,289.076,218.288,320,256,320zM377.139,244.548c0,68.714-58.282,116.815-121.139,116.815s-121.139-48.102-121.139-116.815H96c0,77.873,61.719,143.153,137.144,153.465V480h45.713v-81.987C354.281,386.561,416,322.421,416,244.548H377.139z"


{-| -}
moreHorizontal : Int -> RGBA -> Html msg
moreHorizontal =
    p "M136,216c-22.002,0-40,17.998-40,40s17.998,40,40,40s40-17.998,40-40S158.002,216,136,216zM376,216c-22.002,0-40,17.998-40,40s17.998,40,40,40s40-17.998,40-40S398.002,216,376,216zM256,216c-22.002,0-40,17.998-40,40s17.998,40,40,40s40-17.998,40-40S278.002,216,256,216z"


{-| -}
moreVertical : Int -> RGBA -> Html msg
moreVertical =
    p "M296,136c0-22.002-17.998-40-40-40s-40,17.998-40,40s17.998,40,40,40S296,158.002,296,136zM296,376c0-22.002-17.998-40-40-40s-40,17.998-40,40s17.998,40,40,40S296,398.002,296,376zM296,256c0-22.002-17.998-40-40-40s-40,17.998-40,40s17.998,40,40,40S296,278.002,296,256z"


{-| -}
navigate : Int -> RGBA -> Html msg
navigate =
    pg "256,64 96,433.062 110.938,448 256,384 401.062,448 416,433.062"


{-| -}
notificationsNone : Int -> RGBA -> Html msg
notificationsNone =
    p "M257,120.471c7.083,0,23.911,4.479,23.911,4.479c45.589,10.447,77.678,52.439,77.678,99.85v114.4v13.212l9.321,9.364l7.788,7.823H136.302l7.788-7.823l9.321-9.364V339.2V224.8c0-47.41,32.089-89.403,77.678-99.85c0,0,18.043-4.479,23.911-4.479M256,48c-17.602,0-31.059,13.518-31.059,31.2v14.559c-59.015,13.523-103.53,67.601-103.53,131.041v114.4L80,380.8v20.8h352v-20.8l-41.411-41.6V224.8c0-63.44-44.516-117.518-103.53-131.041V79.2C287.059,61.518,273.602,48,256,48L256,48zM297.411,422.4h-82.823c0,22.881,18.633,41.6,41.412,41.6S297.411,445.281,297.411,422.4L297.411,422.4z"


{-| -}
notificationsOff : Int -> RGBA -> Html msg
notificationsOff =
    ps
        [ "M256,463.656c22.814,0,41.475-18.656,41.475-41.656h-82.95C214.525,445,233.186,463.656,256,463.656z"
        , "M131.083,107.172l0.053,0.074L98.09,74.277L74.004,98.383l63.042,63.153C126.888,180.521,121,202.196,121,225.07v114.555 l-41,41.656V402h297.743l36.182,36.33l24.079-24.301L425.9,402h0.316L131.083,107.172z"
        , "M391,225.07c0-63.526-45-117.677-104-131.218V79.274c0-17.706-13.371-31.243-31-31.243c-17.628,0-31,13.537-31,31.243 v14.578c-15,3.438-29.048,9.501-41.75,17.663L391,319.355V225.07z"
        ]


{-| -}
notifications : Int -> RGBA -> Html msg
notifications =
    p "M256,464c22.779,0,41.411-18.719,41.411-41.6h-82.823C214.588,445.281,233.221,464,256,464zM390.589,339.2V224.8c0-63.44-44.516-117.518-103.53-131.041V79.2c0-17.682-13.457-31.2-31.059-31.2s-31.059,13.518-31.059,31.2v14.559c-59.015,13.523-103.53,67.601-103.53,131.041v114.4L80,380.8v20.8h352v-20.8L390.589,339.2z"


{-| -}
open : Int -> RGBA -> Html msg
open =
    p "M405.34,405.332H106.66V106.668H240V64H106.66C83.191,64,64,83.197,64,106.668v298.664C64,428.803,83.191,448,106.66,448h298.68c23.469,0,42.66-19.197,42.66-42.668V272h-42.66V405.332zM288,64v42.668h87.474L159.999,322.133l29.866,29.866l215.476-215.47V224H448V64H288z"


{-| -}
options : Int -> RGBA -> Html msg
options =
    g
        [ r4 "32" "384" "272" "32"
        , r4 "400" "384" "80" "32"
        , p1 "M384,447.5c0,17.949-14.327,32.5-32,32.5l0,0c-17.673,0-32-14.551-32-32.5v-95c0-17.949,14.327-32.5,32-32.5l0,0 c17.673,0,32,14.551,32,32.5V447.5z"
        , r4 "32" "240" "80" "32"
        , r4 "208" "240" "272" "32"
        , p1 "M192,303.5c0,17.949-14.327,32.5-32,32.5l0,0c-17.673,0-32-14.551-32-32.5v-95c0-17.949,14.327-32.5,32-32.5l0,0 c17.673,0,32,14.551,32,32.5V303.5z"
        , r4 "32" "96" "272" "32"
        , r4 "400" "96" "80" "32"
        , p1 "M384,159.5c0,17.949-14.327,32.5-32,32.5l0,0c-17.673,0-32-14.551-32-32.5v-95c0-17.949,14.327-32.5,32-32.5l0,0 c17.673,0,32,14.551,32,32.5V159.5z"
        ]


{-| -}
people : Int -> RGBA -> Html msg
people =
    p "M337.454,232c33.599,0,61.092-27.002,61.092-60c0-32.997-27.493-60-61.092-60s-61.09,27.003-61.09,60C276.364,204.998,303.855,232,337.454,232zM174.546,232c33.599,0,61.09-27.002,61.09-60c0-32.997-27.491-60-61.09-60s-61.092,27.003-61.092,60C113.454,204.998,140.947,232,174.546,232zM174.546,276C126.688,276,32,298.998,32,346v54h288v-54C320,298.998,222.401,276,174.546,276zM337.454,287.003c-6.105,0-10.325,0-17.454,0.997c23.426,17.002,32,28,32,58v54h128v-54C480,298.998,385.312,287.003,337.454,287.003z"


{-| -}
personAdd : Int -> RGBA -> Html msg
personAdd =
    p "M304,256c52.805,0,96-43.201,96-96s-43.195-96-96-96s-96,43.201-96,96S251.195,256,304,256zM304,304c-63.598,0-192,32.402-192,96v48h384v-48C496,336.402,367.598,304,304,304z"


{-| -}
person : Int -> RGBA -> Html msg
person =
    p "M256,256c52.805,0,96-43.201,96-96s-43.195-96-96-96s-96,43.201-96,96S203.195,256,256,256zM256,304c-63.598,0-192,32.402-192,96v48h384v-48C448,336.402,319.598,304,256,304z"


{-| -}
phoneLandscape : Int -> RGBA -> Html msg
phoneLandscape =
    p "M480,358.856V153.143C480,130.512,461.674,112,439.272,112H72.728C50.326,112,32,130.512,32,153.143v205.713C32,381.488,50.326,400,72.728,400h366.545C461.674,400,480,381.488,480,358.856zM112,364V148h288v216H112z"


{-| -}
phonePortrait : Int -> RGBA -> Html msg
phonePortrait =
    p "M358.856,32H153.143C130.512,32,112,50.326,112,72.728v366.545C112,461.674,130.512,480,153.143,480h205.713C381.488,480,400,461.674,400,439.272V72.728C400,50.326,381.488,32,358.856,32zM364,400H148V112h216V400z"


{-| -}
pin : Int -> RGBA -> Html msg
pin =
    p "M256,32c-88.004,0-160,70.557-160,156.801C96,306.4,256,480,256,480s160-173.6,160-291.199C416,102.557,344.004,32,256,32zM256,244.801c-31.996,0-57.144-24.645-57.144-56c0-31.357,25.147-56,57.144-56s57.144,24.643,57.144,56C313.144,220.156,287.996,244.801,256,244.801z"


{-| -}
plane : Int -> RGBA -> Html msg
plane =
    p "M448,336v-40L288,192V79.2c0-17.683-14.82-31.2-32-31.2c-17.179,0-32,13.518-32,31.2V192L64,296v40l160-48v113.602l-48,31.199V464l80-16l80,16v-31.199l-48-31.199V288L448,336z"


{-| -}
playstore : Int -> RGBA -> Html msg
playstore =
    p "M464,152H360c0-57-46.562-103.859-104-103.859C198.562,48.141,152,95,152,152H48C66.688,368,61,464,61,464h389.999C450.998,464,445.311,366,464,152zM256,74.105c43.008,0,77.999,34.895,77.999,77.895H178C178,109,212.991,74.105,256,74.105zM204,397.64V228.867l142.999,84.387L204,397.64z"


{-| -}
print : Int -> RGBA -> Html msg
print =
    p "M399.95,160h-287.9C76.824,160,48,188.803,48,224v138.667h79.899V448h256.201v-85.333H464V224C464,188.803,435.175,160,399.95,160zM352,416H160V288h192V416zM384.101,64H127.899v80h256.201V64z"


{-| -}
radioButtonOff : Int -> RGBA -> Html msg
radioButtonOff =
    p "M256,48C141.601,48,48,141.601,48,256s93.601,208,208,208s208-93.601,208-208S370.399,48,256,48zM256,422.399c-91.518,0-166.399-74.882-166.399-166.399S164.482,89.6,256,89.6S422.4,164.482,422.4,256S347.518,422.399,256,422.399z"


{-| -}
radioButtonOn : Int -> RGBA -> Html msg
radioButtonOn =
    p "M256,152c-57.2,0-104,46.8-104,104s46.8,104,104,104s104-46.8,104-104S313.2,152,256,152zM256,48C141.601,48,48,141.601,48,256s93.601,208,208,208s208-93.601,208-208S370.399,48,256,48zM256,422.4c-91.518,0-166.4-74.883-166.4-166.4S164.482,89.6,256,89.6S422.4,164.482,422.4,256S347.518,422.4,256,422.4z"


{-| -}
refresh : Int -> RGBA -> Html msg
refresh =
    p "M256,388c-72.597,0-132-59.405-132-132c0-72.601,59.403-132,132-132c36.3,0,69.299,15.4,92.406,39.601L278,234h154V80l-51.698,51.702C348.406,99.798,304.406,80,256,80c-96.797,0-176,79.203-176,176s78.094,176,176,176c81.045,0,148.287-54.134,169.401-128H378.85C360.105,353.561,311.712,388,256,388z"


{-| -}
removeCircle : Int -> RGBA -> Html msg
removeCircle =
    p "M256,48C141.125,48,48,141.125,48,256s93.125,208,208,208s208-93.125,208-208S370.875,48,256,48zM363,277H149v-42h214V277z"


{-| -}
remove : Int -> RGBA -> Html msg
remove =
    r "96" "235" "320" "42"


{-| -}
restaurant : Int -> RGBA -> Html msg
restaurant =
    ps
        [ "M164.852,279.939l61.834-60.251L73.72,71.706c-33.626,32.764-33.626,86.677,0,119.44L164.852,279.939z"
        , "M312.389,241.88c33.636,14.802,80.283,4.232,113.91-29.593c41.222-40.165,49.909-98.303,17.363-128.96 c-31.465-31.71-91.131-23.245-132.354,16.921c-34.718,33.825-45.566,79.276-30.374,110.986 C233.195,258.802,69.382,418.407,69.382,418.407L99.759,448l149.71-145.866L399.177,448l30.374-29.593L279.842,272.538 L312.389,241.88z"
        ]


{-| -}
sad : Int -> RGBA -> Html msg
sad =
    ps
        [ "M256,288c-45.443,0-83.675,26.076-102.205,64h204.41C339.675,314.076,301.443,288,256,288z"
        , "M256,48C140.563,48,48,141.6,48,256c0,114.4,92.563,208,208,208s208-93.6,208-208C464,141.6,370.401,48,256,48z M256,422.4 c-91.518,0-166.404-74.883-166.404-166.4c0-91.518,74.887-166.4,166.404-166.4S422.404,164.482,422.404,256 C422.404,347.518,347.518,422.4,256,422.4z"
        , "M328.8,235.2c17.683,0,31.201-13.518,31.201-31.2s-13.519-31.2-31.201-31.2c-17.682,0-31.2,13.518-31.2,31.2 S311.118,235.2,328.8,235.2z"
        , "M183.2,235.2c17.682,0,31.2-13.518,31.2-31.2s-13.519-31.2-31.2-31.2c-17.683,0-31.201,13.518-31.201,31.2 S165.518,235.2,183.2,235.2z"
        ]


{-| -}
search : Int -> RGBA -> Html msg
search =
    p "M337.509,305.372h-17.501l-6.571-5.486c20.791-25.232,33.922-57.054,33.922-93.257C347.358,127.632,283.896,64,205.135,64C127.452,64,64,127.632,64,206.629s63.452,142.628,142.225,142.628c35.011,0,67.831-13.167,92.991-34.008l6.561,5.487v17.551L415.18,448L448,415.086L337.509,305.372zM206.225,305.372c-54.702,0-98.463-43.887-98.463-98.743c0-54.858,43.761-98.742,98.463-98.742c54.7,0,98.462,43.884,98.462,98.742C304.687,261.485,260.925,305.372,206.225,305.372z"


{-| -}
send : Int -> RGBA -> Html msg
send =
    pg "48,448 464,256 48,64 48,213.333 346,256 48,298.667"


{-| -}
settings : Int -> RGBA -> Html msg
settings =
    p "M413.967,276.8c1.06-6.235,1.06-13.518,1.06-20.8s-1.06-13.518-1.06-20.8l44.667-34.318c4.26-3.118,5.319-8.317,2.13-13.518L418.215,115.6c-2.129-4.164-8.507-6.235-12.767-4.164l-53.186,20.801c-10.638-8.318-23.394-15.601-36.16-20.801l-7.448-55.117c-1.06-4.154-5.319-8.318-10.638-8.318h-85.098c-5.318,0-9.577,4.164-10.637,8.318l-8.508,55.117c-12.767,5.2-24.464,12.482-36.171,20.801l-53.186-20.801c-5.319-2.071-10.638,0-12.767,4.164l-42.549,71.765c-2.119,4.153-1.061,10.399,2.129,13.518L96.97,235.2c0,7.282-1.06,13.518-1.06,20.8s1.06,13.518,1.06,20.8l-44.668,34.318c-4.26,3.118-5.318,8.317-2.13,13.518L92.721,396.4c2.13,4.164,8.508,6.235,12.767,4.164l53.187-20.801c10.637,8.318,23.394,15.601,36.16,20.801l8.508,55.117c1.069,5.2,5.318,8.318,10.637,8.318h85.098c5.319,0,9.578-4.164,10.638-8.318l8.518-55.117c12.757-5.2,24.464-12.482,36.16-20.801l53.187,20.801c5.318,2.071,10.637,0,12.767-4.164l42.549-71.765c2.129-4.153,1.06-10.399-2.13-13.518L413.967,276.8zM255.468,328.8c-41.489,0-74.46-32.235-74.46-72.8s32.971-72.8,74.46-72.8s74.461,32.235,74.461,72.8S296.957,328.8,255.468,328.8z"


{-| -}
shareAlt : Int -> RGBA -> Html msg
shareAlt =
    p "M383.822,344.427c-16.045,0-31.024,5.326-41.721,15.979l-152.957-88.42c1.071-5.328,2.142-9.593,2.142-14.919c0-5.328-1.071-9.593-2.142-14.919l150.826-87.35c11.762,10.653,26.741,17.041,43.852,17.041c35.295,0,64.178-28.766,64.178-63.92C448,72.767,419.117,44,383.822,44c-35.297,0-64.179,28.767-64.179,63.92c0,5.327,1.065,9.593,2.142,14.919l-150.821,87.35c-11.767-10.654-26.741-17.041-43.856-17.041c-35.296,0-63.108,28.766-63.108,63.92c0,35.153,28.877,63.92,64.178,63.92c17.115,0,32.089-6.389,43.856-17.042l151.891,88.421c-1.076,4.255-2.141,8.521-2.141,13.847c0,34.094,27.806,61.787,62.037,61.787c34.229,0,62.036-27.693,62.036-61.787C445.858,372.12,418.052,344.427,383.822,344.427z"


{-| -}
share : Int -> RGBA -> Html msg
share =
    p "M448,248L288,96v85.334C138.666,202.667,85.333,309.334,64,416c53.333-74.666,117.333-108.802,224-108.802v87.469L448,248z"


{-| -}
starHalf : Int -> RGBA -> Html msg
starHalf =
    p "M458,210.409l-145.267-12.476L256,64l-56.743,133.934L54,210.409l110.192,95.524L131.161,448L256,372.686L380.83,448l-33.021-142.066L458,210.409zM272.531,345.287L256,335.313l-0.002-189.277l27.27,64.379l7.52,17.751l19.208,1.65l69.846,5.998l-52.993,45.939l-14.576,12.636l4.367,18.788l15.875,68.299L272.531,345.287z"


{-| -}
starOutline : Int -> RGBA -> Html msg
starOutline =
    p "M458,210.409l-145.267-12.476L256,64l-56.743,133.934L54,210.409l110.192,95.524L131.161,448L256,372.686L380.83,448l-33.021-142.066L458,210.409zM272.531,345.286L256,335.312l-16.53,9.973l-59.988,36.191l15.879-68.296l4.369-18.79l-14.577-12.637l-52.994-45.939l69.836-5.998l19.206-1.65l7.521-17.75l27.276-64.381l27.27,64.379l7.52,17.751l19.208,1.65l69.846,5.998l-52.993,45.939l-14.576,12.636l4.367,18.788l15.875,68.299L272.531,345.286z"


{-| -}
star : Int -> RGBA -> Html msg
star =
    pg "256,372.686 380.83,448 347.809,305.934 458,210.409 312.733,197.934 256,64 199.257,197.934 54,210.409 164.192,305.934 131.161,448"


{-| -}
stopwatch : Int -> RGBA -> Html msg
stopwatch =
    g
        [ p1 "M232,306.667h48V176h-48V306.667z"
        , p1 "M407.67,170.271l30.786-30.786l-33.942-33.941l-30.785,30.786C341.217,111.057,300.369,96,256,96 C149.961,96,64,181.961,64,288s85.961,192,192,192s192-85.961,192-192C448,243.631,432.943,202.783,407.67,170.271z M362.066,394.066C333.734,422.398,296.066,438,256,438s-77.735-15.602-106.066-43.934C121.602,365.735,106,328.066,106,288 s15.602-77.735,43.934-106.066C178.265,153.602,215.934,138,256,138s77.734,15.602,106.066,43.934 C390.398,210.265,406,247.934,406,288S390.398,365.735,362.066,394.066z"
        , r4 "192" "32" "128" "48"
        ]


{-| -}
subway : Int -> RGBA -> Html msg
subway =
    p "M256,48c-93.864,0-176,10.668-176,85.334v213.332c0,41.604,33.062,74.666,74.667,74.666L128,448v16h256v-16l-26.667-26.668c41.604,0,74.667-33.062,74.667-74.666V133.334C432,58.668,349.864,48,256,48zM160,384c-18.136,0-32-13.865-32-32c0-18.137,13.864-32,32-32s32,13.863,32,32C192,370.135,178.136,384,160,384zM240,240H128v-96h112V240zM352,384c-18.136,0-32-13.865-32-32c0-18.137,13.864-32,32-32s32,13.863,32,32C384,370.135,370.136,384,352,384zM384,240H272v-96h112V240z"


{-| -}
sunny : Int -> RGBA -> Html msg
sunny =
    p "M256,160c25.499,0,49.567,10.025,67.771,28.229C341.975,206.433,352,230.501,352,256s-10.025,49.567-28.229,67.771C305.567,341.975,281.499,352,256,352s-49.567-10.025-67.771-28.229C170.025,305.567,160,281.499,160,256s10.025-49.567,28.229-67.771C206.433,170.025,230.501,160,256,160M277.333,32h-42.666v64h42.666V32L277.333,32zM406.396,75.729L368,114.135L397.864,144l38.406-38.396L406.396,75.729L406.396,75.729zM105.604,75.729l-29.875,29.875L114.136,144L144,114.135L105.604,75.729L105.604,75.729zM256,128c-70.396,0-128,57.604-128,128s57.604,128,128,128s128-57.604,128-128S326.396,128,256,128L256,128zM480,234.666h-64v42.668h64V234.666L480,234.666zM96,234.666H32v42.668h64V234.666L96,234.666zM397.864,368L368,397.865l38.396,38.406l29.875-29.875L397.864,368L397.864,368zM114.136,368l-38.406,38.396l29.875,29.875L144,397.865L114.136,368L114.136,368zM277.333,416h-42.666v64c6.396,0,42.666,0,42.666,0V416L277.333,416z"


{-| -}
sync : Int -> RGBA -> Html msg
sync =
    p "M256,93.09V32l-80,81.454l80,81.456v-61.093c65.996,0,120,54.982,120,122.183c0,20.363-5,39.714-14.004,57.016L391,342.547c15.996-25.457,25-54.988,25-86.547C416,166.401,343.998,93.09,256,93.09zM256,378.184c-66.001,0-120-54.988-120-122.184c0-20.363,5-39.709,13.999-57.02L121,169.454C104.999,193.89,96,224.436,96,256c0,89.599,72.002,162.91,160,162.91V480l80-81.453l-80-81.457V378.184z"


{-| -}
textsms : Int -> RGBA -> Html msg
textsms =
    p "M408,64H96c-22.002,0-32,17.998-32,40v344l64-64h280c22.002,0,40-17.998,40-40V104C448,81.998,430.002,64,408,64zM198.4,242H160v-40h38.4V242zM275.2,242h-38.4v-40h38.4V242zM352,242h-38.4v-40H352V242z"


{-| -}
time : Int -> RGBA -> Html msg
time =
    g
        [ p1 "M256,43C137.789,43,43,138.851,43,256s94.789,213,213,213s213-95.851,213-213S373.149,43,256,43z M256,426.4c-93.718,0-170.4-76.683-170.4-170.4S162.282,85.6,256,85.6S426.4,162.282,426.4,256S349.718,426.4,256,426.4z"
        , pg1 "266.65,149.5 234.7,149.5 234.7,277.3 346.525,344.393 362.5,317.768 266.65,261.324"
        ]


{-| -}
train : Int -> RGBA -> Html msg
train =
    p "M80,346.666c0,41.604,33.062,74.666,74.667,74.666L128,448v16h256v-16l-26.667-26.668c41.604,0,74.667-33.062,74.667-74.666V133.334C432,58.668,349.864,48,256,48S80,58.668,80,133.334V346.666zM256,376c-22.002,0-40-17.997-40-39.999S233.998,296,256,296s40,17.999,40,40.001S278.002,376,256,376zM384,224H128v-96h256V224z"


{-| -}
unlock : Int -> RGBA -> Html msg
unlock =
    p "M376,186h-20v-40c0-55-45-100-100-100S156,91,156,146h37.998c0-34.004,28.003-62.002,62.002-62.002c34.004,0,62.002,27.998,62.002,62.002H318v40H136c-22.002,0-40,17.998-40,40v200c0,22.002,17.998,40,40,40h240c22.002,0,40-17.998,40-40V226C416,203.998,398.002,186,376,186zM256,368c-22.002,0-40-17.998-40-40s17.998-40,40-40s40,17.998,40,40S278.002,368,256,368z"


{-| -}
upload : Int -> RGBA -> Html msg
upload =
    p "M403.002,217.001C388.998,148.002,328.998,96,256,96c-57.998,0-107.998,32.998-132.998,81.001C63.002,183.002,16,233.998,16,296c0,65.996,53.999,120,120,120h260c55,0,100-45,100-100C496,263.002,455.004,219.999,403.002,217.001zM288,276v76h-64v-76h-68l100-100l100,100H288z"


{-| -}
volumeDown : Int -> RGBA -> Html msg
volumeDown =
    p "M64,192v128h85.334L256,431.543V80.458L149.334,192H64zM352,256c0-38.399-21.333-72.407-53.333-88.863v176.636C330.667,328.408,352,294.4,352,256z"


{-| -}
volumeMute : Int -> RGBA -> Html msg
volumeMute =
    p "M64,192v128h85.334L256,431.543V80.458L149.334,192H64z"


{-| -}
volumeOff : Int -> RGBA -> Html msg
volumeOff =
    g
        [ p1 "M405.5,256c0,22.717-4.883,44.362-13.603,63.855l31.88,31.88C439.283,323.33,448,290.653,448,256 c0-93.256-64-172.254-149-192v44.978C361,127.632,405.5,186.882,405.5,256z"
        , pg1 "256,80.458 204.979,132.938 256,183.957"
        , p1 "M420.842,396.885L91.116,67.157l-24,24l90.499,90.413l-8.28,10.43H64v128h85.334L256,431.543V280l94.915,94.686 C335.795,387.443,318,397.213,299,403.022V448c31-7.172,58.996-22.163,82.315-42.809l39.61,39.693l24-24.043l-24.002-24.039 L420.842,396.885z"
        , p1 "M352.188,256c0-38.399-21.188-72.407-53.188-88.863v59.82l50.801,50.801C351.355,270.739,352.188,263.454,352.188,256z"
        ]


{-| -}
volumeUp : Int -> RGBA -> Html msg
volumeUp =
    p "M64,192v128h85.334L256,431.543V80.458L149.334,192H64zM352,256c0-38.399-21.333-72.407-53.333-88.863v176.636C330.667,328.408,352,294.4,352,256zM298.667,64v44.978C360.531,127.632,405.334,186.882,405.334,256c0,69.119-44.803,128.369-106.667,147.022V448C384,428.254,448,349.257,448,256C448,162.744,384,83.746,298.667,64z"


{-| -}
walk : Int -> RGBA -> Html msg
walk =
    ps
        [ "M288,112c22.223,0,39.997-17.776,39.997-40c0-22.225-17.774-40-39.997-40s-40.003,17.775-40.003,40C247.997,94.224,265.777,112,288,112z"
        , "M288,232h104v-40h-72l-44.802-69.333c-7.698-11.667-18.136-18.136-30.933-18.136c-3.198,0-8.828,0.531-12.799,1.747 L120,144v112h40v-80l40.531-16L120,480h40l56.698-164.271L267,384v96h38V352l-57.031-96l19.745-61.864L288,232z"
        ]


{-| -}
warning : Int -> RGBA -> Html msg
warning =
    p "M32,464h448L256,48L32,464zM280,400h-48v-48h48V400zM280,320h-48v-96h48V320z"


{-| -}
watch : Int -> RGBA -> Html msg
watch =
    p "M416,256c0-51.001-24.004-96.001-60.996-125L336,16H176l-19.004,115C120.004,159.999,96,204.999,96,256c0,50.996,24.004,95.996,60.996,125L176,496h160l19.004-115C391.996,351.996,416,306.996,416,256zM136,256c0-66.001,54.004-120,120-120s120,53.999,120,120c0,65.996-54.004,120-120,120S136,321.996,136,256z"


{-| -}
wifi : Int -> RGBA -> Html msg
wifi =
    p "M256,228.719c-22.879,0-41.597,18.529-41.597,41.18c0,22.652,18.718,41.182,41.597,41.182c22.878,0,41.597-18.529,41.597-41.182C297.597,247.248,278.878,228.719,256,228.719zM380.8,269.898c0-67.946-56.163-123.539-124.8-123.539s-124.8,55.593-124.8,123.539c0,45.303,24.961,85.447,62.396,107.072l20.807-36.032c-24.972-14.417-41.604-40.153-41.604-71.04c0-45.295,37.433-82.358,83.201-82.358c45.771,0,83.201,37.063,83.201,82.358c0,30.887-16.633,56.623-41.604,71.04l20.807,36.032C355.837,355.346,380.8,315.201,380.8,269.898zM256,64C141.597,64,48,156.654,48,269.898C48,346.085,89.592,411.968,152,448l20.799-36.032c-49.919-28.824-83.207-81.324-83.207-142.069c0-90.593,74.891-164.718,166.408-164.718c91.517,0,166.406,74.125,166.406,164.718c0,60.745-33.284,114.271-83.205,142.069L360,448c62.406-36.032,104-101.915,104-178.102C464,156.654,370.403,64,256,64z"
